﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Telerik.Windows.Controls;

namespace NumericUpDownFocus
{
    public class ViewModel : ViewModelBase
    {
        private double myValue;

        public ViewModel()
        {
            this.myValue = 1;
        }

        /// <summary>
        /// Gets or sets MyValue and notifies for changes
        /// </summary>
        public double MyValue
        {
            get
            {
                return this.myValue;
            }

            set
            {
                if (this.myValue != value)
                {
                    this.myValue = value;
                    this.OnPropertyChanged(() => this.MyValue);
                }
            }
        }
    }
}
